Intercepts and handles of events from outgoing HTTP request.

### Hierarchy

- ConnectionInterceptor

### Implements

- HttpInterceptor

## Index

### Constructors

- constructor

### Methods

- intercept

## Constructors

### constructor

- new ConnectionInterceptor(loggingService: LoggingService): ConnectionInterceptor

- - Defined in src/app/_interceptors/connection.interceptor.ts:14

  Initialization of the connection interceptor.

  #### Parameters

  - ##### loggingService: LoggingService

    A service that provides logging capabilities.

  #### Returns ConnectionInterceptor

## Methods

### intercept

- intercept(request: HttpRequest<unknown>, next: HttpHandler): Observable<HttpEvent<unknown>>

- Implementation of HttpInterceptor.intercept

  - Defined in src/app/_interceptors/connection.interceptor.ts:29

  Intercepts HTTP requests.

  #### Parameters

  - ##### request: HttpRequest<unknown>

    An outgoing HTTP request with an optional typed body.

  - ##### next: HttpHandler

    The next HTTP handler or the outgoing request dispatcher.

  #### Returns Observable<HttpEvent<unknown>>

  The forwarded request.

Generated using TypeDoc